Subject: Re: [manet] manet Digest, Vol 130, Issue 41

From: JS <[email-masked]>
Date: Sat, 28 Mar 2015 14:13:51 +0000 (UTC)

Rick,
Thanks for your comments, appreciate the effort to go through this.

6) at the time of writing there was no DLEP draft but there was an effort in that direction mentioned in
    the references [RFC5578,  "PPP over Ethernet (PPPoE) Extensions for Credit Flow Control and Link Metrics"]
    The problem CL3 solves is it allows integration of a MANET network with any typical commercial IP router. This    is key: there were literally only a handful of commercial router models implementing RFC5578 and a quick search    just now shows that the number of router models implementing DLEP is equally small. 
    So writing an interface that depends on the IP router implementing DLEP would limit the choices of IP router to use,    going against the objectives of CL3 to be able to use any typical IP router. Typical really means having logical IP    interfaces like PPP, an IP routing protocol and SNMP support for it; a much larger list than those implementing DLEP.
    There is a symmetric issue regarding NHDP: CL3 works with any MANET, regardless of the MANET protocol used,    which may not be OLSR or OLSRv2 or even a protocol considered by the IETF. That MANET may not have implemented    NHDP support yet we still need to integrate it into the larger IP network.
    Our intention was to provide an interface that would adapt any MANET network (using link state routing in our initial case)    with any typical commercial IP router. This would not be met by requiring that the router implement DLEP and that the    MANET support NHDP. Non-standard protocols that implement some of the functionality from DLEP and NHDP do exist;    our goal was to replace them with an interface that does not require them.
    There are a large number of MANET protocols, many of them either proprietary or not being standardized in the IETF,    and CL3 is an approach that allows integrating them with any typical commercial router. We tested this with  one    MANET protocol, OLSRv1, because it was readily available to us, not because we depend on something intrinsic to OLSRv1
1) I was under the impression Experimental was more appropriate but Informational might be appropriate also.
    We will try to post the normative reference to our site shortly, as it has been approved for public release. It should appear in:
http://sourceforge.net/projects/commonlayer3/files/Documents/

Finally, our effort is not to bypass or ignore MANET WG protocol work. It is simply to solve a real-world problem of integratinga MANET that does not have all the functionality recently standardized in the IETF with a commercial IP router that may havebeen chosen regardless of whether it implements DLEP.
thanks,
 Jack Shaio 
 ----- Original Message -----
 
Message: 3
Date: Sat, 28 Mar 2015 09:27:11 +0000
From: Rick Taylor <[email-masked]>
To: Christopher Dearlove <[email-masked]>
Cc: "Broderick, Don" <[email-masked]>, "Jack Shaio
    \([email-masked]\)" <[email-masked]>, "[email-masked]"
    <[email-masked]>, Caleb Lo <[email-masked]>
Subject: Re: [manet] draft-shaio-manet-common-l3-interface
Message-ID:
    <[email-masked]>
    
Content-Type: text/plain; charset="us-ascii"

All,

First, I'm sorry if this email comes across as a bit terse, but I'm on
my way home from Dallas, and the jet-lag is kicking in.

I'm afraid I'm not in favour of adopting this document as a WG draft,
for a number of reasons in no particular order:

1) I find the terminology unclear, and although that is not a
show-stopper, I feel that it highlights that the authors may not have
been tracking the progress of the MANET WG over the last few years.

2) Although I understand what the authors have done, I'm not sure what
new technique or technology they are proposing for experimental status. 
The draft reads as an experimental write-up: "We did this, and here are
the results".  This is not my understanding of what an experimental
draft is for.  Maybe an informational draft may be more appropriate.

3) In the text in the email announcing the draft, Dan states: "Our
intent is to show that it is not necessary to standardize the interface
between these two layers by prescribing a new message exchange between
them."  However, the MANET WG has just finished 5 years of work getting
DLEP to WG last call.  And DLEP is the "new message exchange".  And DLEP
solves a superset of problems that CL3 can't address. (Disclaimer: I'm
an author)

4) The MANET WG has worked hard to produce a reactive and pro-active
MANET routing protocol suitable for IP, with possibly applicability at a
lower layer.  Building an overlay using a non-MANET routing protocol to
provide IP routing over a MANET lower layer seems to me a backwards step.

5) There is a proposed future work item for the WG to look at gateways
between MANET networks and the fixed infrastructure, and it seems that
that approach has rough consensus as the right way to go.

6) It's not actually clear from the document what CL3 is.  It seems to
me that CL3 is a some code that uses OSPF packet sniffing, something
with PPP, and some SNMP to some low layer routers/forwarders/modems and
some poking pack up to the OSPF agent to spoof neighbour discovery and
link state (what state?).  That's about all I can glean.

I'm afraid I just feel that the team behind this draft may have been
working in isolation from the IETF MANET effort, and may be a little
behind the curve.  Might I suggest that a next step for them might be to
look at DLEP and OLSRv2 and perhaps experiment with writing a DLEP
interface around their code base, and perhaps issue a new informational
draft entitled something like 'Some techniques for implementing DLEP
over exisiting low-layer MANETs using SNMP, and PPP".  That might pique
my interest and perhaps some of the others of the group.

I don't mean to be negative, and I certainly don't want to appear
unwelcoming, but I think this document is 5 years late.

Cheers,

Rick Taylor
Airbus Defence & Space
(Using personal email because corporate firewalls are a pain at times)

------------------------------

Message: 4
Date: Sat, 28 Mar 2015 12:56:33 +0000
From: John Dowdell <[email-masked]>
To: Rick Taylor <[email-masked]>,  Christopher
    Dearlove <[email-masked]>
Cc: "Broderick, Don" <[email-masked]>, Caleb Lo
    <[email-masked]>, "[email-masked]" <[email-masked]>, "Jack
    Shaio \([email-masked]\)" <[email-masked]>
Subject: Re: [manet] draft-shaio-manet-common-l3-interface
Message-ID: <[email-masked]>
Content-Type: text/plain; charset="utf-8"

Just wondering if the CL3 paper is publically available seeing as it is a normative reference.

Some experience in operational trials, albeit not using any manet routing protocol (and sorry those results are not publically releasable), shows that it is more productive to properly partition the fixed and mobile networks, since they have very different behaviours and needs. The CL3 method is interesting to see but I think it would be difficult to get working in practice.

John

Airbus Defence & Space